Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.util
[Java] Class Holder

    java.lang.Object
      grails.util.Holder

    public class Holder
    extends java.lang.Object

Authors:
  Burt Beckwith

Since:
  2.0

Constructor Summary
`Holder(java.lang.String name)`

Method Summary
`java.lang.Object` | `get()`
`java.lang.Object` | `get(boolean mappedOnly)`
`protected java.lang.Object` | `lookupSecondary()`
`void` | `set(java.lang.Object t)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### Holder

    public Holder(java.lang.String name)

Method Detail

### get

    public java.lang.Object get()

### get

    public java.lang.Object get(boolean mappedOnly)

### lookupSecondary

    protected java.lang.Object lookupSecondary()

### set

    public void set(java.lang.Object t)

Groovy Documentation